{
  "meta": {
    "lastTouchedVersion": "2026.7.1",
    "lastTouchedAt": "2026-07-15T07:58:46.857Z"
  },
  "wizard": {
    "lastRunAt": "2026-07-14T15:09:38.730Z",
    "lastRunVersion": "2026.7.1",
    "lastRunCommand": "doctor",
    "lastRunMode": "local"
  },
  "auth": {
    "profiles": {
      "ollama:default": {
        "provider": "ollama",
        "mode": "api_key"
      }
    }
  },
  "models": {
    "mode": "merge",
    "providers": {
      "deepseek": {
        "baseUrl": "https://api.deepseek.com/v1",
        "apiKey": "${DEEPSEEK_API_KEY}",
        "api": "openai-completions",
        "models": [
          {
            "id": "deepseek-v4-pro",
            "name": "DeepSeek V4 Pro",
            "reasoning": false,
            "input": [
              "text"
            ],
            "cost": {
              "input": 1,
              "output": 2,
              "cacheRead": 0,
              "cacheWrite": 0
            },
            "contextWindow": 1000000,
            "maxTokens": 384000
          },
          {
            "id": "deepseek-v4-flash",
            "name": "DeepSeek V4 Flash",
            "reasoning": false,
            "input": [
              "text"
            ],
            "cost": {
              "input": 1,
              "output": 2,
              "cacheRead": 0,
              "cacheWrite": 0
            },
            "contextWindow": 1000000,
            "maxTokens": 384000
          }
        ]
      },
      "newapi": {
        "baseUrl": "http://100.115.195.188:3000/v1",
        "apiKey": "${NEW_API_KEY}",
        "api": "openai-completions",
        "models": [
          {
            "id": "qwen3.5-plus",
            "name": "qwen3.5-plus",
            "reasoning": false,
            "input": [
              "text"
            ],
            "cost": {
              "input": 0,
              "output": 0,
              "cacheRead": 0,
              "cacheWrite": 0
            },
            "contextWindow": 131072,
            "maxTokens": 8192,
            "api": "openai-completions"
          },
          {
            "id": "qwen3.6-flash",
            "name": "Qwen 3.6 Flash",
            "reasoning": false,
            "input": [
              "text"
            ],
            "cost": {
              "input": 1,
              "output": 2,
              "cacheRead": 0,
              "cacheWrite": 0
            },
            "contextWindow": 1000000,
            "maxTokens": 384000
          }
        ]
      }
    }
  },
  "agents": {
    "defaults": {
      "model": {
        "primary": "deepseek/deepseek-v4-flash"
      },
      "memorySearch": {
        "enabled": true,
        "provider": "openai-compatible",
        "model": "BAAI/bge-m3",
        "remote": {
          "baseUrl": "https://api.siliconflow.cn/v1",
          "apiKey": "$SILICONFLOW_API_KEY"
        }
      },
      "models": {
        "deepseek/deepseek-v4-pro": {
          "alias": "DeepSeek V4 Pro"
        },
        "deepseek/deepseek-v4-flash": {
          "alias": "DeepSeek V4 Flash"
        }
      },
      "workspace": "/home/yangxuan/.openclaw/workspace",
      "compaction": {
        "mode": "safeguard"
      },
      "timeoutSeconds": 3600,
      "maxConcurrent": 2,
      "subagents": {
        "maxConcurrent": 4,
        "allowAgents": [
          "*"
        ]
      },
      "sandbox": {
        "mode": "off"
      }
    },
    "list": [
      {
        "id": "main",
        "name": "助手",
        "workspace": "/home/yangxuan/.openclaw/workspace",
        "agentDir": "/home/yangxuan/.openclaw/agents/main/agent",
        "model": {
          "primary": "deepseek/deepseek-v4-flash"
        },
        "identity": {
          "name": "助手",
          "avatar": "./avatars/assistant.jpg"
        }
      },
      {
        "id": "resume",
        "name": "简历",
        "workspace": "/home/yangxuan/.openclaw/workspace-resume",
        "agentDir": "/home/yangxuan/.openclaw/agents/resume/agent",
        "model": {
          "primary": "deepseek/deepseek-v4-flash"
        },
        "identity": {
          "name": "简历",
          "avatar": "./avatars/assistant.jpg"
        }
      },
      {
        "id": "travel",
        "name": "旅行",
        "workspace": "/home/yangxuan/.openclaw/workspace-travel",
        "agentDir": "/home/yangxuan/.openclaw/agents/travel/agent",
        "model": {
          "primary": "deepseek/deepseek-v4-flash"
        },
        "identity": {
          "name": "旅行",
          "avatar": "./avatars/assistant.jpg"
        }
      },
      {
        "id": "fitness",
        "name": "健康",
        "workspace": "/home/yangxuan/.openclaw/workspace-fitness",
        "agentDir": "/home/yangxuan/.openclaw/agents/fitness/agent",
        "model": {
          "primary": "deepseek/deepseek-v4-flash"
        },
        "identity": {
          "name": "健康",
          "avatar": "./avatars/assistant.jpg"
        }
      },
      {
        "id": "finances",
        "name": "理财",
        "workspace": "/home/yangxuan/.openclaw/workspace-finances",
        "agentDir": "/home/yangxuan/.openclaw/agents/finances/agent",
        "model": {
          "primary": "deepseek/deepseek-v4-flash"
        },
        "identity": {
          "name": "理财",
          "avatar": "./avatars/assistant.jpg"
        }
      },
      {
        "id": "juaner",
        "name": "卷儿",
        "workspace": "/home/yangxuan/.openclaw/workspace-juaner",
        "agentDir": "/home/yangxuan/.openclaw/agents/juaner/agent",
        "model": {
          "primary": "deepseek/deepseek-v4-flash"
        },
        "identity": {
          "name": "卷儿",
          "avatar": "./avatars/assistant.jpg"
        }
      },
      {
        "id": "sql",
        "name": "SQL",
        "workspace": "/home/yangxuan/.openclaw/workspace-sql",
        "agentDir": "/home/yangxuan/.openclaw/agents/sql/agent",
        "model": {
          "primary": "newapi/qwen3.6-flash"
        },
        "identity": {
          "name": "SQL",
          "avatar": "./avatars/assistant.jpg"
        }
      }
    ]
  },
  "tools": {
    "profile": "full",
    "sessions": {
      "visibility": "all"
    },
    "agentToAgent": {
      "enabled": true
    },
    "deny": [
      "group:web",
      "browser"
    ],
    "web": {
      "search": {
        "enabled": true,
        "provider": "searxng",
        "openaiCodex": {}
      },
      "fetch": {
        "enabled": true
      }
    },
    "alsoAllow": [
      "ezviz_device",
      "ezviz_capture",
      "ezviz_message"
    ]
  },
  "messages": {
    "ackReactionScope": "group-mentions",
    "groupChat": {
      "visibleReplies": "message_tool"
    }
  },
  "commands": {
    "native": "auto",
    "nativeSkills": "auto",
    "restart": true,
    "ownerDisplay": "raw"
  },
  "session": {
    "dmScope": "per-channel-peer"
  },
  "gateway": {
    "port": 18789,
    "mode": "local",
    "bind": "loopback",
    "controlUi": {
      "allowedOrigins": [
        "http://localhost:18789",
        "http://127.0.0.1:18789",
        "https://xuan-pc-nj-wsl.baiji-algieba.ts.net"
      ],
      "allowInsecureAuth": true
    },
    "auth": {
      "mode": "password",
      "password": "5gynj20J",
      "token": "7aa534fd65856e13933826846f2f6f34fab991f264b43d22",
      "allowTailscale": true
    },
    "trustedProxies": [
      "127.0.0.1",
      "100.115.195.0/24"
    ],
    "tailscale": {
      "mode": "serve",
      "resetOnExit": false
    },
    "http": {
      "endpoints": {
        "chatCompletions": {
          "enabled": true
        }
      }
    },
    "nodes": {
      "denyCommands": []
    }
  },
  "skills": {
    "entries": {
      "agent-browser": {
        "enabled": true
      },
      "Github": {
        "enabled": true
      },
      "notion": {
        "enabled": false
      },
      "openai-whisper": {
        "enabled": false
      },
      "openai-whisper-api": {
        "enabled": false
      },
      "oracle": {
        "enabled": false
      },
      "1password": {
        "enabled": false
      },
      "apple-notes": {
        "enabled": false
      },
      "apple-reminders": {
        "enabled": false
      },
      "bear-notes": {
        "enabled": false
      },
      "himalaya": {
        "enabled": false
      },
      "xurl": {
        "enabled": false
      },
      "blogwatcher": {
        "enabled": false
      },
      "blucli": {
        "enabled": false
      },
      "bluebubbles": {
        "enabled": false
      },
      "camsnap": {
        "enabled": false
      },
      "coding-agent": {
        "enabled": false
      },
      "discord": {
        "enabled": false
      },
      "eightctl": {
        "enabled": false
      },
      "gemini": {
        "enabled": false
      },
      "gifgrep": {
        "enabled": false
      },
      "gog": {
        "enabled": false
      },
      "goplaces": {
        "enabled": false
      },
      "imsg": {
        "enabled": false
      },
      "model-usage": {
        "enabled": false
      },
      "nano-pdf": {
        "enabled": false
      },
      "obsidian": {
        "enabled": false
      },
      "openhue": {
        "enabled": false
      },
      "ordercli": {
        "enabled": false
      },
      "peekaboo": {
        "enabled": false
      },
      "sag": {
        "enabled": false
      },
      "searxng-web-search": {
        "enabled": false
      },
      "session-logs": {
        "enabled": false
      },
      "sherpa-onnx-tts": {
        "enabled": false
      },
      "slack": {
        "enabled": false
      },
      "songsee": {
        "enabled": false
      },
      "sonoscli": {
        "enabled": false
      },
      "spotify-player": {
        "enabled": false
      },
      "summarize": {
        "enabled": false
      },
      "things-mac": {
        "enabled": false
      },
      "trello": {
        "enabled": false
      },
      "voice-call": {
        "enabled": false
      },
      "wacli": {
        "enabled": false
      },
      "baidu-text-translate": {
        "enabled": false,
        "env": {
          "TRANS_API_KEY": "bFOn_d90t2jl7ado27r85ol10"
        }
      },
      "mcporter": {
        "enabled": false
      },
      "gh-issues": {
        "enabled": false
      },
      "github": {
        "enabled": false
      },
      "MySQL": {
        "enabled": true
      },
      "sql-toolkit": {
        "enabled": true
      },
      "tmux": {
        "enabled": false
      },
      "video-frames": {
        "enabled": false
      }
    }
  },
  "plugins": {
    "allow": [
      "deepseek",
      "ezviz",
      "memory-core",
      "ollama",
      "searxng",
      "openclaw-weixin",
      "dingtalk-connector"
    ],
    "entries": {
      "ollama": {
        "enabled": true,
        "config": {}
      },
      "deepseek": {
        "enabled": true
      },
      "searxng": {
        "enabled": true,
        "config": {
          "webSearch": {
            "baseUrl": "https://search.climbcube.cn/"
          }
        }
      },
      "browser": {
        "enabled": false
      },
      "ezviz": {
        "enabled": false
      },
      "openclaw-weixin": {
        "enabled": true
      },
      "dingtalk-connector": {
        "enabled": true
      },
      "memory-lancedb": {
        "enabled": false
      }
    },
    "bundledDiscovery": "compat"
  },
  "channels": {
    "ezviz": {
      "enabled": true,
      "appId": "92aa2d25a04247afacb76b1f75f9cf80",
      "appSecret": "38ac0b0468b0dca991ce1c8ed888200e"
    },
    "openclaw-weixin": {
      "channelConfigUpdatedAt": "2026-07-15T05:51:48.262Z",
      "enabled": true
    },
    "dingtalk-connector": {
      "clientId": "dingnumf057etbbowhfu",
      "clientSecret": "m-g-EknD5uxH9DFnSpHPT87bLWOPrNYa-SMvT6kDOMqg_8nmPL7jiFxbdpWWqzIl"
    }
  },
  "bindings": [
    {
      "agentId": "main",
      "match": {
        "channel": "openclaw-weixin",
        "accountId": "e48ace9814f0-im-bot"
      }
    },
    {
      "agentId": "juaner",
      "match": {
        "channel": "openclaw-weixin",
        "accountId": "89623f3b5d79-im-bot"
      }
    }
  ],
  "cron": {
    "triggers": {
      "enabled": true
    }
  }
}